View Issue Details

IDProjectCategoryView StatusLast Update
0003640FreeCADBugpublic2019-01-18 21:59
ReportergreyltcAssigned Toyorik 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003640: crash on importing .scad file
Descriptionhttps://github.com/FreeCAD/FreeCAD/blob/master/src/Mod/OpenSCAD/importCSG.py#L406
That line crashes FreeCAD during .scad import when there is no gui because .hide is illegal when there is no gui.
Steps To Reproduceimport importCSG
importCSG.insert('anyFile.scad',document.Name)
Additional InformationLatest master, commit 47536dc
TagsOpenSCAD

Activities

keithsloan52

2018-10-16 07:40

developer   ~0012036

Line 406 needs to be expanded to

if gui:
   subobj[0].ViewObject.hide()

yorik

2019-01-18 21:59

administrator   ~0012463

Fixed with https://github.com/FreeCAD/FreeCAD/commit/ed06cbe62676e954b486afe594310452af582c1c

Issue History

Date Modified Username Field Change
2018-10-15 23:35 greyltc New Issue
2018-10-16 01:03 Kunda1 Tag Attached: OpenSCAD
2018-10-16 01:03 Kunda1 Target Version => 0.18
2018-10-16 01:04 Kunda1 Product Version => 0.18
2018-10-16 07:40 keithsloan52 Note Added: 0012036
2019-01-18 21:59 yorik Note Added: 0012463
2019-01-18 21:59 yorik Assigned To => yorik
2019-01-18 21:59 yorik Status new => closed
2019-01-18 21:59 yorik Resolution open => fixed
2019-01-18 21:59 yorik Fixed in Version => 0.18